Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::ImportModule Class Reference
Plugins

Base class for import plug-ins. More...

`#include <ImportModule.h>`

Inheritance diagram for tlp::ImportModule:
[legend]
Collaboration diagram for tlp::ImportModule:
[legend]

List of all members.

## Public Member Functions

- ImportModule (AlgorithmContext context)
    Initializes the DataSet to the one passed in the context.
- virtual ~ImportModule ()
- virtual bool importGraph ()
    The import operations should take place here.
- virtual _DEPRECATED bool import (const std::string &)
    deprecated method.

## Public Attributes

- Graph * graph
    The Graph in which to write the data to import.
- PluginProgress * pluginProgress
    A means to report progress to the user.
- DataSet * dataSet
    A container for the parameters of this import plug-in.

## Detailed Description

Base class for import plug-ins.

## Constructor & Destructor Documentation

tlp::ImportModule::ImportModule | ( | AlgorithmContext | context | ) | `[inline]`

Initializes the DataSet to the one passed in the context.

Parameters:

  context | THe context this import plug-in runs into.

virtual tlp::ImportModule::~ImportModule | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual _DEPRECATED bool tlp::ImportModule::import | ( | const std::string & |  | ) | `[inline, virtual]`

deprecated method.

Parameters:

  unused,deprecated | parameter

Returns:
  bool Whether the import was successful or not.

virtual bool tlp::ImportModule::importGraph | ( |  | ) | `[virtual]`

The import operations should take place here.

Returns:
  bool Whether the import was successful or not.

## Member Data Documentation

DataSet* tlp::ImportModule::dataSet

A container for the parameters of this import plug-in.

Graph* tlp::ImportModule::graph

The Graph in which to write the data to import.

PluginProgress* tlp::ImportModule::pluginProgress

A means to report progress to the user.

Tulip Software by LaBRI Visualization Team 2001 - 2012